/*!	
	@file
	@brief	ゲーム側から使う頂点インデックス
*/

#ifndef CIndexModel_h
#define CIndexModel_h


#include"../Setup/CompileMode.h"
#include"CIndex.h"


namespace Maid
{
	class CIndexModel : public CIndex
	{
	public:
		CIndexModel(){}
		CIndexModel( const mstring& id )
			:ID(id){}

		virtual mstring GetID()const { return ID; }
		
		
		mstring		ID;
	};
}

#endif
